org.jfree.xml.attributehandlers

## Class BooleanAttributeHandler

- java.lang.Object
- - org.jfree.xml.attributehandlers.BooleanAttributeHandler

All Implemented Interfaces:
  AttributeHandler

    public class BooleanAttributeHandler
    extends java.lang.Object
    implements AttributeHandler

A class that handles the conversion of `Boolean` attributes to and from their `String` representation.

### Constructor Summary

Constructors
Constructor and Description
`BooleanAttributeHandler()` Creates a new attribute handler.

### Method Summary

Methods
`java.lang.String` `toAttributeValue(java.lang.Object o)` Converts the attribute to a string.
`java.lang.Object` `toPropertyValue(java.lang.String s)` Converts a string to a `Boolean`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BooleanAttributeHandler

    public BooleanAttributeHandler()

Creates a new attribute handler.

### Method Detail

#### toAttributeValue

    public java.lang.String toAttributeValue(java.lang.Object o)

Converts the attribute to a string.

Specified by:
  `toAttributeValue` in interface `AttributeHandler`
Parameters:
  `o` - the attribute (`Boolean` expected).
Returns:
  A string representing the `Boolean` value.

#### toPropertyValue

    public java.lang.Object toPropertyValue(java.lang.String s)

Converts a string to a `Boolean`.

Specified by:
  `toPropertyValue` in interface `AttributeHandler`
Parameters:
  `s` - the string.
Returns:
  a `Boolean`.